Skip to main content

Sends an Event Grid message to Connxio. Use query parameters for metadata and the full content body for the Event Grid message.

POST 

/v1/eventgrid

Sends an Event Grid message to Connxio. Use query parameters for metadata and the full content body for the Event Grid message.

Request

Query Parameters

    MessageEncoding string
    ConfigCorrelationId string
    InterchangeId string
    SenderId string
    ReceiverId string
    DocumentType string
    FileName string

Body

required

  • Array [

  • topic stringnullable
    subject stringnullable
    eventType stringnullable
    eventTime date-time
    id stringnullable
    data nullable
    dataVersion stringnullable
    metadataVersion stringnullable
  • ]

Body

required

    eventGridMessages

    object[]

    nullable

  • Array [

  • topic stringnullable
    subject stringnullable
    eventType stringnullable
    eventTime date-time
    id stringnullable
    data nullable
    dataVersion stringnullable
    metadataVersion stringnullable
  • ]

Responses

The message was validated and sent to the Connxio engine

The supplied message or metadata did not pass validation

Could not contact internal services. Please try again later or contact our support department

Loading...